import { CsvData, GroupResponse } from './csvModel';
export declare class CsvHandlerService {
    constructor();
    records: any[];
    handleMultipleFIle($event: Event, rowLimit?: number): Promise<CsvData[]>;
    handleSingleFile($event: Event, rowLimit?: number): Promise<CsvData>;
    private ProcessCsv;
    getDataRecordsArrayFromCSVFile(csvRecordsArray: any, headersRow: any, limit?: number): any;
    isValidCSVFile(file: any): any;
    getHeaderArray(csvRecordsArr: any): any[];
    CompareArrays(arr1: [], arr2: []): never[];
    csvToArray(text: string): any;
    getColumnDataTypes(csvRecordsArray: any, headersRow: any): any;
    validateDataType(arr: any): "Number" | "Float" | "Date" | "String";
    getFileGroups(dataTypeArray: any[]): GroupResponse[];
}
//# sourceMappingURL=csv-handler.service.d.ts.map