"use strict";
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
exports.CsvGrape = void 0;
const csv_handler_service_1 = require("./csv-handler.service");
class CsvGrape {
    constructor() {
    }
    static getCsvData(event, rowLimit = 200) {
        return new Promise((resolve, reject) => {
            this.csvHandlerService.handleSingleFile(event, rowLimit).then((_response) => {
                resolve(_response);
            }, (err) => {
                reject(err);
            });
        });
    }
    static getMetaData(csvRecordsArray, headersRow) {
        return this.csvHandlerService.getColumnDataTypes(csvRecordsArray, headersRow);
    }
    static getCsvWithMetaData(event, rowLimit = 200) {
        return new Promise((resolve, reject) => {
            this.csvHandlerService.handleSingleFile(event, rowLimit).then((_response) => {
                this.content.Data = _response;
                this.content.Metadata = this.csvHandlerService.getColumnDataTypes(_response.Content, _response.Headers);
                resolve(this.content);
            }, (err) => {
                reject(this.content);
            });
        });
    }
}
exports.CsvGrape = CsvGrape;
_a = CsvGrape;
CsvGrape.response = { Content: {}, HasError: true, Headers: [], FileName: "", Index: 0 };
CsvGrape.content = { Data: _a.response, Metadata: {} };
CsvGrape.csvHandlerService = new csv_handler_service_1.CsvHandlerService();
//# sourceMappingURL=csvGrape.js.map